Package org.apache.sling.commons.log.logback.internal.store

# Class LogStoreAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>
org.apache.sling.commons.log.logback.internal.store.LogStoreAppender

All Implemented Interfaces:
  `ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.ILoggingEvent>`, `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.FilterAttachable<ch.qos.logback.classic.spi.ILoggingEvent>`, `ch.qos.logback.core.spi.LifeCycle`

public class LogStoreAppender extends ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPENDER_NAME`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`LogStoreAppender(LogStoreImpl store)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`append(ch.qos.logback.classic.spi.ILoggingEvent eventObject)`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, start, stop, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Field Details

### APPENDER_NAME

public static final String APPENDER_NAME

See Also:
  - Constant Field Values

## Constructor Details

### LogStoreAppender

public LogStoreAppender(LogStoreImpl store)

## Method Details

### append

protected void append(ch.qos.logback.classic.spi.ILoggingEvent eventObject)

Specified by:
  `append` in class `ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>`